import { AnnotationLayer } from "./AnnotationLayer";
import { Brush } from "igniteui-react-core";
import { Series } from "./Series";
import { Thickness } from "igniteui-react-core";
import { Visibility } from "igniteui-react-core";
import { CrosshairLayerFrame } from "./CrosshairLayerFrame";
import { List$1 } from "igniteui-react-core";
import { Pool$1 } from "igniteui-react-core";
import { Type } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { Frame } from "./Frame";
import { AnnotationAppearanceMode } from "./AnnotationAppearanceMode";
import { DoubleCollection } from "igniteui-react-core";
import { Path } from "igniteui-react-core";
import { AnnotationLayerView } from "./AnnotationLayerView";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class CrosshairLayer extends AnnotationLayer {
    static $t: Type;
    protected bj(): Series;
    protected get_er(): boolean;
    protected get_ep(): boolean;
    constructor();
    protected cs(): SeriesView;
    qz(a: SeriesView): void;
    protected zx: CrosshairLayerView;
    aca: Brush;
    acb: Brush;
    aao: string;
    gu(a: Series): boolean;
    zy: Series;
    z3: boolean;
    z1: boolean;
    xAxisAnnotationFormatLabel: (item: any) => string;
    zz(): boolean;
    yAxisAnnotationFormatLabel: (item: any) => string;
    z0(): boolean;
    ace: Brush;
    acc: Brush;
    z6: number;
    aai: number;
    acd: Brush;
    get ack(): Thickness;
    z8: number;
    aaa: number;
    z9: number;
    z7: number;
    get acl(): Thickness;
    aae: number;
    aag: number;
    aaf: number;
    aad: number;
    aab: number;
    ach: Brush;
    acf: Brush;
    aac: number;
    aaj: number;
    acg: Brush;
    aah: number;
    acn: Visibility;
    acm: Visibility;
    z2: boolean;
    protected yn(a: Series, b: boolean): void;
    protected yp(a: Frame, b: SeriesView): void;
    protected xg(a: Series): boolean;
    qn(): void;
    protected w0(): AnnotationAppearanceMode;
    protected xn(): number;
    protected xq(): number;
    protected xp(): number;
    protected zm(): DoubleCollection;
    protected zn(): DoubleCollection;
    private aci;
    private acj;
    private abf;
    private z5;
    private z4;
    protected abg(a: CrosshairLayerFrame, b: boolean): void;
    private abe;
    protected ys(a: Frame, b: SeriesView): void;
    protected ga(): boolean;
    protected q7(a: any, b: string, c: any, d: any): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class CrosshairLayerView extends AnnotationLayerView {
    static $t: Type;
    constructor(a: CrosshairLayer);
    protected b7: CrosshairLayer;
    b8: Pool$1<Path>;
    protected b9: List$1<Path>;
    au(): void;
    private ch;
    private ca;
    private cc;
    private cb;
    cd(a: Path, b: number, c: number, d: number): void;
    ce(a: Brush, b: number): Brush;
    cg(a: Brush, b: number): Brush;
    cf(a: Brush, b: number): Brush;
    protected a8(a: RenderingContext, b: boolean): void;
    an(a: any): void;
}
